Bug 104312 - period no longer delimits word boundaries when editing bash script in vim
period no longer delimits word boundaries when editing bash script in vim
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: vim (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-12 09:43 EDT by Paul Morgan
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-03 10:44:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morgan 2003-09-12 09:43:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
When editing a bash script in vim, the period no longer delimits word
boundaries. In other words, the "w" motion command acts as if "W" had been
pressed. The same is true for "cw", "b", etc.

Version-Release number of selected component (if applicable):
vim-minimal-6.2.71-1.1
vim-common-6.2.71-1.1
vim-enhanced-6.2.71-1.1

How reproducible:
Always

Steps to Reproduce:
1. create a new file with text:
    #!/bin/sh
    #this is.a test of vim
    #in which the.motion.commands skip over periods.incorrectly
2. write and quit the file (:wq)
3. open the file again and press various motion keys (w, b, cw, dw)
4. remove line 1 (#!/bin/sh), then :wq
5. vi the file again and re-try the motion commands
   Without the #!/bin/sh line, the motion commands work as expected
    

Actual Results:  See steps to reproduce.

Expected Results:  The word motion commands (w, b, cw, etc.) should stop at
periods. Only the uppercase versions of the commands should ignore periods.

Additional info:
Comment 1 Paul Morgan 2003-12-03 09:26:13 EST
Still present:
vim-common-6.2.154-1
vim-minimal-6.2.154-1
vim-enhanced-6.2.154-1

vim did not perform this way in rh-8
Comment 2 Karsten Hopp 2003-12-03 10:44:54 EST
I've tracked down the problem to the sh.vim syntax file.  
iskeyword (isk) includes the period for some unknown reason. 
just remove the line  
setlocal isk+=. 
to fix it. The next release will have this fix. 
Comment 3 Paul Morgan 2003-12-03 19:49:30 EST
Thanks!

Note You need to log in before you can comment on or make changes to this bug.